Skip to content

Event Notification API

Event Notification API

In BambooCloud IDaaS, the WebHook callback API uses the POST method, UTF-8 encoding, and JSON data format.

When an event is triggered, BambooCloud IDaaS pushes the user ID to the callback address provided by the application system.

1. Request Description

POST

2. Request Headers

Parameter NameChinese NameRequiredExample ValueDescription
AuthorizationAuthorizationYesStringFormat: Bearer
Content-TypeContent TypeYesStringFixed value: application/json; charset=utf-8

3. Request Body

Request body example

  1. Create User
json
{ "nonce":"123456", "timestamp":1783610513, "event":"USER_CREATE", "data":"1ojvw2WPvW7LijxS8UvP+rXpPbcLGOmIBNbWetRg7IP0vdhkl", "sign":"111108bb8e6dbce3c9671d6fdb69d15066227608" }
  1. Update User Mobile Number
json
{ "nonce":"123456", "timestamp":1783610513, "event":"USER_UPDATE_MOBILE", "data":"1ojvw2WPvW7LijxS8UvP+rXpPbcLGOmIBNbWetRg7IP0vdhkl", "sign":"111108bb8e6dbce3c9671d6fdb69d15066227608" }

Decrypted data example of the request body data

20200223170310946-34EE-3403BF88A

4. Request Parameter Description

Parameter NameTypeDescription
nonceStringRandom number. Used together with timestamp to prevent replay attacks.
timestampIntegerTimestamp. Used together with nonce to prevent replay attacks.
eventStringEvent type, see Event List
dataStringMessage body. After decryption, it is the user ID.
signStringMessage signature.

5. Response Body

Success example

http
HTTP/1.1 200 OK

Note: BambooCloud IDaaS determines whether the event push is successful based only on the HTTP status code returned by the application system. A status code of 200 indicates the event push is successful; otherwise, it indicates failure.

6. Response Parameters

None

Get Business Data API

The event notification API pushes the user ID to the application system when an event is triggered. If the application system needs to obtain other attribute information of the user, it can call the BambooCloud IDaaS Get User Details by User ID API.

Note: To call this API, you need to apply to the administrator to enable the API interface permission.

BambooCloud IDaaS Open Platform